cvp.vo

## Class AssistitoAccettazioneRicovero

- java.lang.Object
- - cvp.vo.AssistitoAccettazioneRicovero

-     public class AssistitoAccettazioneRicovero
      extends java.lang.Object

  Contiene i dati anagrafici dell'assistito a cui è intestata la prescrizione di ricovero.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codAssistFuoriAnagrafe` Codice identificativo assistito fuori anagrafe restituito dal servizio di identificazione dell'assistito, elemento facoltativo.
    `private java.lang.String` | `codIdentificativoAssistito` Codice identificativo dell'assistito, elemento facoltativo.
    `private java.lang.String` | `codIstatResidenza` Codice ISTAT del comune di residenza dell'assistito, elemento facoltativo.
    `private java.lang.String` | `codSanitario` Codice sanitario dell'assistito, elemento facoltativo.
    `private java.lang.String` | `cognome` Cognome dell'assistito, elemento facoltativo.
    `private java.lang.String` | `dataNascita` Data di nascita dell'assistito, elemento facoltativo.
    `private java.lang.String` | `flagInAnagrafe` Indica se l'assistito ricoverato é registrato nell'anagrafe sanitaria della regione Puglia, elemento facoltativo.
    `private java.lang.String` | `nome` Nome dell'assistito, elemento facoltativo.
    `private java.lang.String` | `sesso` Sesso dell'assistito, elemento facoltativo.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssistitoAccettazioneRicovero()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodAssistFuoriAnagrafe()`
    `java.lang.String` | `getCodIdentificativoAssistito()`
    `java.lang.String` | `getCodIstatResidenza()`
    `java.lang.String` | `getCodSanitario()`
    `java.lang.String` | `getCognome()`
    `java.lang.String` | `getDataNascita()`
    `java.lang.String` | `getFlagInAnagrafe()`
    `java.lang.String` | `getNome()`
    `java.lang.String` | `getSesso()`
    `void` | `setCodAssistFuoriAnagrafe(java.lang.String codAssistFuoriAnagrafe)`
    `void` | `setCodIdentificativoAssistito(java.lang.String codIdentificativoAssistito)`
    `void` | `setCodIstatResidenza(java.lang.String codIstatResidenza)`
    `void` | `setCodSanitario(java.lang.String codSanitario)`
    `void` | `setCognome(java.lang.String cognome)`
    `void` | `setDataNascita(java.lang.String dataNascita)`
    `void` | `setFlagInAnagrafe(java.lang.String flagInAnagrafe)`
    `void` | `setNome(java.lang.String nome)`
    `void` | `setSesso(java.lang.String sesso)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codIdentificativoAssistito

          private java.lang.String codIdentificativoAssistito

      Codice identificativo dell'assistito, elemento facoltativo. Contiene i seguenti valori:
    - codice fiscale per gli assistiti italiani o stranieri residente in Italia;
    - codice STP per gli assistiti temporaneamente presenti in Italia;
    - codice identificativo della tessere sanitaria assicurativa per gli assistiti esteri. Deve essere presente se sulla ricetta cartacea non è presente lo IUP.

- #### codSanitario

      private java.lang.String codSanitario

  Codice sanitario dell'assistito, elemento facoltativo.

- #### flagInAnagrafe

      private java.lang.String flagInAnagrafe

  Indica se l'assistito ricoverato é registrato nell'anagrafe sanitaria della regione Puglia, elemento facoltativo. Può assumere i seguenti valori:
- 0 = Assistito fuori anagrafe;
- 1 = Assistito in anagrafe.

- #### codAssistFuoriAnagrafe

      private java.lang.String codAssistFuoriAnagrafe

  Codice identificativo assistito fuori anagrafe restituito dal servizio di identificazione dell'assistito, elemento facoltativo.

- #### cognome

      private java.lang.String cognome

  Cognome dell'assistito, elemento facoltativo. Deve essere presente se sulla ricetta cartacea non è presente lo IUP.

- #### nome

      private java.lang.String nome

  Nome dell'assistito, elemento facoltativo. Deve essere presente se sulla ricetta cartacea non è presente lo IUP.

- #### dataNascita

      private java.lang.String dataNascita

  Data di nascita dell'assistito, elemento facoltativo. Deve essere presente se sulla ricetta cartacea non è presente lo IUP.

- #### sesso

      private java.lang.String sesso

  Sesso dell'assistito, elemento facoltativo. Può assumere i seguenti valori:
- M = Maschio;
- F = Femmima. Deve essere presente se sulla ricetta cartacea non è presente lo IUP.

- #### codIstatResidenza

      private java.lang.String codIstatResidenza

  Codice ISTAT del comune di residenza dell'assistito, elemento facoltativo. Deve essere presente se sulla ricetta cartacea non è presente lo IUP.

- ### Constructor Detail

  - #### AssistitoAccettazioneRicovero

        public AssistitoAccettazioneRicovero()

- ### Method Detail

  - #### getCodIdentificativoAssistito

        public java.lang.String getCodIdentificativoAssistito()

  - #### setCodIdentificativoAssistito

        public void setCodIdentificativoAssistito(java.lang.String codIdentificativoAssistito)

  - #### getCodSanitario

        public java.lang.String getCodSanitario()

  - #### setCodSanitario

        public void setCodSanitario(java.lang.String codSanitario)

  - #### getFlagInAnagrafe

        public java.lang.String getFlagInAnagrafe()

  - #### setFlagInAnagrafe

        public void setFlagInAnagrafe(java.lang.String flagInAnagrafe)

  - #### getCodAssistFuoriAnagrafe

        public java.lang.String getCodAssistFuoriAnagrafe()

  - #### setCodAssistFuoriAnagrafe

        public void setCodAssistFuoriAnagrafe(java.lang.String codAssistFuoriAnagrafe)

  - #### getCognome

        public java.lang.String getCognome()

  - #### setCognome

        public void setCognome(java.lang.String cognome)

  - #### getNome

        public java.lang.String getNome()

  - #### setNome

        public void setNome(java.lang.String nome)

  - #### getDataNascita

        public java.lang.String getDataNascita()

  - #### setDataNascita

        public void setDataNascita(java.lang.String dataNascita)

  - #### getSesso

        public java.lang.String getSesso()

  - #### setSesso

        public void setSesso(java.lang.String sesso)

  - #### getCodIstatResidenza

        public java.lang.String getCodIstatResidenza()

  - #### setCodIstatResidenza

        public void setCodIstatResidenza(java.lang.String codIstatResidenza)